Commit 65187728 authored by Holger Brandl's avatar Holger Brandl

added auto-install of required packages

parent 3a6eca61
...@@ -7,7 +7,11 @@ ...@@ -7,7 +7,11 @@
#http://www.slideshare.net/EdwindeJonge1/docopt-user2014 #http://www.slideshare.net/EdwindeJonge1/docopt-user2014
# load the docopt library # load the docopt library
suppressMessages(library(docopt)) suppressMessages(if (!require("docopt")) install.packages("docopt"))
suppressMessages(if (!require("knitr")) install.packages("knitr"))
suppressMessages(if (!require("stringr")) install.packages("stringr"))
suppressMessages(if (!require("rmarkdown")) install.packages("rmarkdown"))
# retrieve and parse the command-line arguments # retrieve and parse the command-line arguments
doc <- ' doc <- '
...@@ -76,10 +80,6 @@ if(opts$e){ ...@@ -76,10 +80,6 @@ if(opts$e){
#} #}
#</style>", file=jsAddons, append=T) #</style>", file=jsAddons, append=T)
#require(plyr)
require(knitr)
require(stringr)
#https://groups.google.com/forum/#!topic/knitr/ojcnq5Nm298 #https://groups.google.com/forum/#!topic/knitr/ojcnq5Nm298
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment